RDATE(8C)

NAME
rdate - set system date from a remote host

SYNOPSIS
/usr/ucb/rdate hostname

AVAILABILITY
This program is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

rdate sets the local date and time from the hostname given as argument. You must be super-user on the local system. Typically rdate can be inserted as part of your /etc/rc.local startup script.

FILES
/etc/rc.local

BUGS

Could be modified to accept a list of hostnames and try each until a valid date returned. Better yet would be to write a real date server that accepted broadcast requests.